DupFiles Help Overview

Duplicate File Finder Help Overview

Duplicate File Finder Ó is utility for 32-bit or 64-bit (x64) windows that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of file name or file date. The program has built-in support for non-English, international version interface use based on the operating system language setting for your computer.

Important: Please see Usage Notes for guidelines and information before using Duplicate File Finder for the first time. Thanks.

Usage begins by clicking on the Search button or by selecting Search from the File menu. The Search and Filter dialogs are used to configure the path(s), file mask(s), sort order, and filters (if any) to use during the scan. For example, you can specify for the search to consider only *.txt;*.htm files and further limit the search to those within a date range or size. Complex file mask can also be used to exclude files or folders. A dialog is available to help you set up complex file masks.

After the scan is completed the output lists file date, size, CRC32 /Checksum (or MD5) statistics for duplicates found. The status bar at the bottom of the main window lists the number & total size of the duplicates. To see file properties for a file, highlight a file and click on the Properties button. Windows Explorer can be launched on a path via the Explorer button. One or more files can be deleted from the Edit Menu - Delete function. Results can be saved to a tab-delimited file for easy loading into a spreadsheet via the Save As button. You can also quickly highlight duplicate files from the Edit menu and save those results to a file. The results list is searchable (press F3) and can be printed. You can launch a highlighted file by double clicking or selecting Open in the File Menu. Finally, a context menu is available by right clicking on a file and the toolbar can be disabled or docked elsewhere.

Click on the graphic below for more information.


Usage Notes

Duplicate File Finder scans the path(s) defined in the Search dialog for duplicate files. Duplicates are identified regardless of their file names or time/date.

Duplicate File Finder is intended for two audiences:

  • General Users who need to check their 'documents' folders for duplicates that have accumulated. For example, if you tend to make temporary backups of various documents/pictures/etc while working on a project, Duplicate File Finder can be handy for disk cleanup and housekeeping.

  • General and Technical Users who need to verify the integrity of backups. Although our Directory Toolkit utility is perhaps better suited to this type of operation, you can use Duplicate File Finder to scan just those two paths, with the expectation that you should see two of each file once the scan is complete.

  • Technical Users who need to examine their entire disk for duplicates that have accumulated related to operating system files, program files, and the like.

IMPORTANT - Duplicate File Finder has no decision-making to tell you what is safe to delete or not. If you are a non-technical user, please read through the usage notes below for some general advice. Thanks.

IMPORTANT - DISK IS LOCKED/UNAVAILABLE type error messages are caused by Windows restricting access to one or more files in the Duplicate File Finder results list. In most cases this is because the file(s) are either part of Windows itself or related to the System Restore function. Limit your scan to specific folders and avoid the \Windows folder and System Volume Information type folders.

Important Usage Suggestions:

  • We recommend that you perform scans on specific paths (folders), rather than the root of a drive. For many users, a scan of C:\My Documents or perhaps C:\My Documents\My Pictures is better than a scan of C:\ alone. Confining the scan to specific paths makes for faster operation and will yield results that are easier to examine, especially if you are a 'non-technical' user. This will also keep the scan away from duplicate files in operating system folders, many of which either should not be removed or cannot be removed because Windows prevents them from being deleted.

  • As noted above, Duplicate File Finder cannot decide what files are safe to delete or not. You must make that determination yourself, based on your knowledge of the files found. When in doubt, do not delete!

  • It is normal for the Windows operating systems to create &/or maintain duplicate files related to operating system updates, uninstall functions related to the operating system, and 'System Restore/Recovery' functions. In fact, it is not unusual for Windows to have 1000's of duplicates taking several GB of disk space \Windows folder and 'System Volume Information' or '_Restore' type folders. Duplicate File Finder will list these files if you scan those paths but Windows will prevent them from being deleted. There is no way to circumvent the restrictions Windows puts on those files. These files should not be disturbed because doing so will break the System Recovery functions. See below for more info.

  • For reasons similar to the above we recommend that you do not delete duplicates from \Program Files unless you are very sure of purpose of the files you are about to delete.

  • Do not rely on the Windows Recycle Bin as a safety mechanism for large-scale duplicate deletions. DO NOT attempt to clean out files from \Windows with the idea that "If something breaks I can just restore from Recycle Bin." The Recycle Bin is not limitless! Files you put there today may be gone forever two weeks from now.

  • The paths to scan are determined in the Paths area of the Paths area of the Search for Duplicate Files dialog. This dialog is activated from the Search toolbar button or File Menu. Upon initial installation the program may default to scanning all hard drives on your computer. We recommend scans be done on specific paths, rather than starting with the root of a drive. For many users, a scan of C:\My Documents or perhaps C:\My Documents\My Pictures makes more sense than a scan of C:\ alone. Confining the scan to specific paths makes for faster operation and will also yield more meaningful results, especially if you are a 'non-technical' user.

  • Use the File Mask field in the Search dialog to confine your search to specific file types. For example, if you are doing housekeeping on your photo collection, using *.jpg for a File Mask will yield a cleaner listing.

  • If you must scan for all files from the root of a drive, consider using Include/Exclude feature to tell the program to skip one or more subdirectories. For example, a File Mask of
    *.*;~\*\System Volume Information\*\*.*;~\*\Windows\*\*.*
    will keep the program from scanning System Volume Information and Windows.

  • Duplicate File Finder is not intended as utility to provide forensic, legal, court related, or high security guarantees that two or more files are identical. Please see Matching Methods for more information.

  • Are you short of disk space and need to reduce the amount of space used by Windows System Restore files? The amount of space used by System Restore is governed by Windows. Check your Windows Help and Support function for more info about this. For most Windows flavors, go to Control Panel | System | System Restore. Look for a settings button of some that you can use to adjust the disk space percentage used by System Restore. Again, be sure to see Windows documentation about the consequences of reducing the space used by System Restore.


Operating System Compatibility

Duplicate File Finder runs on Windows Windows 2000, XP (Pro and Home), Windows 2003, and Windows Vista (Home. Business, & Pro). The program is available in 32 and 64-bit (x64 only).

Windows 95, 98, & ME users: The program is no longer officially supported on those operating systems.


Paths

The path(s) to scan for duplicates, file mask(s), and sort order to use are specified in the Paths tab. The fields and buttons are described below.

.

Filter Paths: Duplicate File Finder defaults to scanning all available hard drives. Change the selection using the Add, Edit, or Delete buttons. You can specify as many paths as you like. Use the File Mask field to narrow the scan to one or more file names.

Add Button: Activates a Windows path browser you can use to select a path.

Edit Button: Edit the highlighted path.

Delete Button: Delete the highlighted path.

File Mask: A simple or complex file mask can be specified. For example, *.txt will search for duplicates with the .txt extension only. Separate multiple file masks with the ; character. For example, *.htm;*.html is acceptable.

We recommend using the Include/Exclude dialog to help you construct complex file masks. Click on the [image] button to activate this dialog.

Sort By: Use the [image] selector to pick a sort order to use when the results list is generated. The choices are: Path - Descending; Path - Ascending; Path - Descending; Date/Time - Ascending; Date/Time - Descending.

Match By: Use the [image] selector to pick the matching method. The choices are: CRC32 and Checksum; MD5. When CRC32 - Checksum is selected, the program calculates the product of the CRC32 and 32 bit Checksum values for each file. If that product matches another file, the files are considered alike. When MD5 is selected, files are considered alike if their MD5 values match. See Matching Methods for more information.

Use Checkboxes: Check this to enable checkboxes in results list in the Results List.

Use Native File Operations: Enable this to use Windows-based file confirmations for your operating system instead of the Duplicate File Finder internal file operation confirmations. Enable this only when necessary. 'Native File Operations' may help if you see 'access' errors on a remote drive or a temporary storage device.


Include/Exclude Mask Builder

Include/Exclude Files & Directories

The Include/Exclude Files and Directories dialog is activated from the [image] button next to the File Mask field in the Paths tab. This editor is used to construct complex expressions to insert in the file mask fields. These expressions allow you to further specify which subdirectories and files under the to include (or exclude) from the duplicate scan. For example, it is possible to exclude files of one type in some subdirectories while including files of the same type if they reside in other subdirectories. You may use the * and ? wildcards as in the DOS dir command to refer to subdirectories.

File Masks - Include/Exclude Files & Dirs

List of Masks

File Mask Edit Dialog

Details on the Include/Exclude Files and Directories dialog:

Include/Exclude Mask List: The list of masks that will be inserted into the mask field when you click the OK button. Each expression here will be combined as a single expression separated by semi-colons.

Primary Buttons:

Add Button: Add a new file mask to the bottom of the list.

Insert Button: Insert a file mask below the current pair.

Edit Button: Opens a file mask dialog to edit the highlighted mask.

Remove Button: Remove the highlighted mask.

Remove All Button: Remove all masks.

Move To Top Button: Move the highlighted mask to the top of the list.

Move Up Button: Move the highlighted mask up by one position.

Move Down Button: Move the highlighted mask down by one position.

Move To Bottom Button: Move the highlighted mask to the bottom of the list.

File Mask Edit Dialog

Exclude Field: Mark this to have the data in the other fields to the right of the dialog be an "exclude" mask.

Files Matching Field: Enter either a specific filename or a wild card expression to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used. "Files Matching" may be used alone to specify a general include or exclude file mask or it may be combined with data involving the "Directories Matching" field below to identify files in some directories but not others.

Directories Matching Field: Enter a directory name or a wildcard specified directory name to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used.

All Field: Mark this to use only the data in the "Files Matching" field. The "All" field is mutually exclusive with the "Use Match" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.

Use Match Field: Mark this to use an expression involving a subdirectory name specified in the "Directories Matching" field. The "Use Match" field is mutually exclusive with the "All" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.

Any Number of Levels Under Start Directory Field:

a) Leave this unmarked to include (or exclude) the directory specified in the "Directories Matching" field that exists immediately under the path specified in the Paths tab. For example, given the staring path c:\test\, the expression ~\skip_me\ would skip the files in c:\test\skip_me\. However, files in c:\test\more\skip_me\ or c:\test\skip_me\test2\ would be processed. To also skip files in subdirectories under c:\test\skip_me\test2\, turn on the "Also Process Subdirectories" field.

b) Mark this to include (or exclude) the directory specified in the "Directories Matching" field no matter how many levels below the path specified in the Paths tab. For example, the expression ~\*\skip_me\ would exclude the files in c:\test\skip_me\ and c:\test\more\skip_me\. Files in subdirectories under c:\test\skip_me\ and c:\test\more\skip_me\ that are not named "skip_me" would be processed, e.g., c:\test\more\skip_me\more2. To also skip files in 'more2', turn on the that "Also Process Subdirectories" field.

Also Process Subdirectories Field:

Mark this field to include (or exclude) subdirectories below the directory specified in the "Directories Matching" field. For example, given the path c:\test\ and the expression ~\skip_me\*\, all subdirectories under c:\test\skip_me\ would be excluded. Note that if "Also Process Subdirectories" was not checked (e.g., an expression such as ~\skip_me\), files in c:\test\skip_me\ would be excluded but files in c:\test\skip_me\test2\ would be included.

OK Button: Inserts the items in the mask list into the File Mask field in the Paths tab.

Cancel Button: Quits the dialog without making changes.

Help Button: Activates the online help.

Notes on Complex File Masks:

  • The program builds the complex file masks from left -> right. In general, specify masks to include first, followed by excludes. For example, ~\images\i*.txt;*.* is not recommended. Use *.*;~\images\i*.txt instead.

  • The rules for complex masks are perhaps best understood by example. Use the below chart as a guide and experiment with the dialog on temporary data before using complex masks on critical data.

  • By way of a general explanation in words:

  • - When a string involving the * meta character is followed by a \ character a subdirectory is referenced. For example, \*mage*\, \*mages\, \image*\ refer to subdirs.

  • \*\ preceding a subdir specification refers to 'any number of levels below the parent search path. For example, ~\*\test\ excludes any paths named test any number of levels below the starting search path.

  • \*\ following a subdir specification can be thought of as 'and also any subdir level below that point. For example, ~\test\*\ excludes \test immediately under the starting search path and all paths under \test. A path named \whatever\test would be searched.

  • \*\ surrounding a path means 'any number of levels below the parent search path and also everything under that. For example, ~\*\test\*\ would exclude any path named test at any point under the parent search path. Following from the above, ~\*\test\*\ would not search \whatever\test.

  • File mask specifications can be supplied after the closing \ for a subdir reference. If you don't use * in the path reference you must specify * after the \ character. For example, *.*;~\images\* should be used and not *.*;~\images\ alone. In contrast, the program assumes a file spec of *.* if the * character is used in a path reference. For example, ~\image*\ is interpreted as ~\image*\*, which is the same as ~\image*\*.*.

  • Complex file masks can be used in combination with subdir references. For example, *.*;~\test\*.txt excludes *.txt files in \test\ but search all other files under \test

  • The examples below are oriented toward excluding subdirs/files but you can use complex notation as an include. See below.

  • When referencing files, * alone can be used. As most Windows files have a single . character in them this is the same as *.*

  • It is OK to divide complex exclude masks into separate components separated by the ; character. For example, a mask to exclude all files named test* in all subdirs and also subdir names that begin with \test are best divided into separate components. See below.

    • Expression | Effect
*.*;~\images\* | Skip files in the images subdir right below the starting path for the search. You could also use *.*;~\images\*.*
*.*;~\images\*\ | As above but also skips subdirs under images
*.*;~\*\images\*\ | Skip files in any subdir named images
*.*;~\*\images\*.jpg | Skip .JPG files in an images subdir any # of levels below the start path
*.*;~\* | Skip files in the 'root' of the Path field.
*.*;~\images\test\ | Skip files in images\test. *.*;~\images\test\*.* does the same thing.
*.*;~\images\te*\ | Skip files in images\test, images\testing, etc.
*.*;~test*.*;~\images\te*\ | Skip files named test.txt, testing.txt, etc and also
\*\images\*\i*.txt | A include mask only. This searches only i*.txt files in any subdir named \images any level below the search start path.
*.htm;~\*\_vti*\*\ | Uses wildcards to skip all the specialized Front Page subdirs in a Front Page web.


Filters

The Filters tab is use to specify filters by date, size, or attribute.

Note: If you need to 'filter' files by file name or path, use the Paths tab.

Exclude File(s) by Date: When 'Reverse Filters' is disabled, the 'Before Date' setting excludes all files whose date stamp precedes the date entered and the 'After Date' excludes files whose date stamp falls after the date entered. Enabling 'Reverse Filters' causes the settings to function in the opposite fashion - an 'include only' setting. You may enter values in one or both date fields. By combining settings, you can limit operations to files whose time stamp falls in a specific range. Date exclusions can also be combined with one or both of the exclude by size filters. See Size and Date Filter Examples for some samples.

Exclude File(s) by Size: When 'Reverse Filters' is disabled, the 'Less Than' field excludes all files whose size is smaller than the value entered and the 'Greater Than' setting excludes files whose size is larger than the value specified. Enabling 'Reverse Filters' causes the settings to function in the opposite fashion - an 'include only' setting. Size units may take the form of number of bytes or whole K, KB, or M values, e.g., 100K, 100KB, 1M, 4M. Do not specify fractional values when using K, KB, M quantities. You may enter values in one or both size fields and size exclusions may be combined with one or both date exclusion values. See Size and Date Filter Examples for some samples.

Attributes: Select one (or more) attribute-types to include/exclude from your operation. See Filters - Attribute Examples for some sample settings.

Dim: The attribute is not considered in any filter.

Checked: Files that do not have the checked attributes will be included. For example, to list files that do not have archive set, check 'Archive'. To list files that are not 'ah', check 'Archive' and 'Hidden'. The checked attributes are 'ANDed', meaning all the checked attributes must be present. For example, when 'Archive' and 'Hidden' are checked, 'a', 'h', 'ar', 'as' are listed but 'ahr' or 'ah' are not. Furthermore, if you had one, an 'ah' directory would not be listed.

Unchecked: Files having that attribute in combination with any other unchecked attribute are listed. For example, to list 'a' and 'ro' and directories, uncheck 'Archive', 'Read Only', and 'Directory'.

Combinations of Checked and UnChecked: Checked and unchecked creates an 'OR' relationship between the checked and unchecked items. For example, 'Archive' unchecked and 'Read Only' checked eliminates 'r' from the operation that are either 'r' alone or do not have 'a' involved as well. This means that 'rsa' files would be included but not 'rh' files. To continue, if 'Archive' is unchecked and both 'Read Only' & 'Hidden' are checked, files that are both 'rh' are eliminated except for files that also include 'a'.

Notes:

  • Attributes have many possible choices and combinations of checked/unchecked can be confusing. A 'dim' check in all attributes fields and Reverse Filters off (unchecked) is the program default. If you need to return to baseline, make your settings appear like they do in the graphic here.

  • Directory is considered an 'attribute' by the program. Furthermore, directories can also have 'a', 'r', 'h', &/or 's' attributes assigned to them. Keep this in mind if you change 'Directory' to something other than Dim. For example, when 'Archive' and 'Hidden' are unchecked the program no longer lists all subdirectories. It instead lists only those directories that are 'a' or 'h' (or both), possibly in combination with 'h' &/or 's'. On many machines, if you uncheck 'Archive' and 'Hidden' you will see no directories listed because the majority of directories have no additional attributes specified.

  • When Reverse Filters is disabled checked choices originate from the perspective of an 'exclude' filter. For example, if 'System' alone is checked, all 's' files and subdirs are excluded. If 'System' and 'Read Only' are checked, files and subdirs that are 'sr' in some way are excluded.

  • If you need to 'filter' files by file name or path, use the Paths dialog.

Reverse Filters: Reverse Filters is used to make the Minimum & Maximum Size, Minimum & Maximum Date, and File Attribute settings work as 'inclusive' filters. Dim vs. Checked vs. Unchecked for Attribute choices work in a similar fashion to when Reverse Filter is off except that logic works toward including files instead of ruling them out.

For example, Reverse Filter = On, 'Archive' & 'System' checked includes only files (&/or directories) that are 'as' in some way. If Reverse Filter = Off, no 'as' files (&/or directories) are included.

To continue, Reverse Filter = On, Minimum Date=11/01//2010 Maximum Date Filter=11/30/2010, and 'Archive' is checked, 'a' files/dirs 10/31/2010 or earlier AND those 12/01/2010 or later will be included.

Reset Button: Click this turn off all filter settings by resetting the fields back to the defaults.


License Information

Duplicate File Finder
Copyright (c) 2001-2010 by Funduc Software Inc.
www.funduc.com www.searchandreplace.com
All rights reserved.

See Ordering Information for information on how to purchase (register) Duplicate File Finder.

License Agreement and Warranty Disclaimer

You should carefully read the following terms and conditions before using this software. Use of this software indicates your acceptance of these terms and conditions. If you do not agree with them, do not use the software.

Copyright and Other Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the licensed version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing either shareware or licenses versions of the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Shareware Version License

The shareware version is not free software. If you are using the shareware version you are hereby licensed to use this software for evaluation purposes without charge for a period of 20 uses. If you use this software after the 20-use evaluation period a registration fee is due (see Ordering Information).

If you are using the Shareware Version of the software you are also hereby licensed to: Make as many copies of the Shareware version of this software and documentation as you wish; Give exact copies of the original Shareware version to anyone; Distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of Duplicate File Finder after the evaluation period is in violation of federal copyright laws.

You may not decompile, disassemble, or reverse engineer Duplicate File Finder (shareware) in any manner.

Registered Version License

One registered copy of Duplicate File Finder may be dedicated to a single person who uses the software on one or more computers or workstations that are for their own exclusive use and for which they are the sole user. There is no restriction on the number of files or their location that the user(s) can use the program on.

A single user license may not be made available in any form to multiple users or workstations.

Licensing is not based on "concurrent" users. If multiple workstations are to access the program in any form and for any length of time you must purchase licenses for the number of workstations that will access the program. If you make the registered version of Duplicate File Finder available through a network and accessible by multiple people you are required to purchase individual licenses for the software covering all workstations that will access the software through the network. Discount pricing is available for multiple licenses. See Ordering Information for information on how to purchase (register) Duplicate File Finder.

Customer support can be obtained by visiting our homepage at http://www.funduc.com or by E-MAIL (support@funduc.com).

You may not decompile, disassemble, or reverse engineer Duplicate File Finder (registered) in any manner.

Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the registered version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Ownership Rights

Funduc Software, Inc. owns and retains all copyrights, patents, trade secret rights, trademarks and intellectual property rights to this software. Registration &/or use of the software does not grant you any right to the intellectual property in the product.

Customer Support

Customer support can be obtained by visiting our homepage at www.funduc.com or www.searchandreplace.com by E-MAIL (support@funduc.com).

Governing Law

This agreement shall be governed by the laws of the State of Michigan, United States.

Disclaimer of Warranty

This software and the accompanying files are sold "as is" and without warranties as to performance of merchantability or any other warranties whether expressed or implied. In particular, there is no warranty for the string Replacing feature.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.


DupFiles Shareware Version

Duplicate File Finder Shareware

Thank you for trying the shareware version of Duplicate File Finder. The shareware license works for 20 uses. There are no functional limitations in the shareware version other than the time out. There is no splash screen in the registered version.

If you have a question that is not answered in the documentation you may contact us by E-MAIL at support@funduc.com and we will do our best to answer your questions.

Please see Purchase & Order Information for how to obtain a registered version of Duplicate File Finder.


Customer Support

Support Information

If you have a question that is not answered in the documentation, contact us directly by E-MAIL at support@funduc.com. Please give as much detail as possible about the operation you want to perform and what the difficulty is.

To report a bug, E-MAIL: support@funduc.com.

Registered users are eligible for support and quarterly updates for a period of one year.

Shareware Users: We will do our best to answer your questions, however, please understand that ongoing support necessitates that you register the program.

We welcome suggestions for improving Duplicate File Finder. If you have an idea, first check the documentation and README.TXT file to make sure they are not already implemented or planned. If not, drop us a note at support@funduc.com.

For ordering information, please see Ordering Information.

Thank you for using Funduc Software products!


Ordering Information

Purchasing Duplicate File Finder

The base price of Duplicate File Finder is $15/single user, plus $5 to $8 S&H if you want a diskette sent by US or International mail. Email delivery is free. Quantity discounts are listed in the fax/mail order form and on our WWW site, http://www.funduc.com.

Registration includes free program updates and customer support (by Email). Updates are sent to registered customers as they become available. They incorporate your suggestions, so please send them! If you have problems receiving the program or need customer support, contact us by Email at support@funduc.com.

Credit Card Registration:

  • Secure Internet Transaction: If you have a secure Web browser such as Netscape or Internet Explorer, you may register by credit card via a secure Web transaction from our web site at: http://www.funduc.com. Online purchasing has the option for discount pricing on package licensing of 32-bit and x64 versions.

  • Fax Registration: To register using a credit card via fax, open and print the fax/mail order form. You may also edit and print the file 'Order.txt' or 'Order64.txt' (x64 version) in the program subdirectory. Please write clearly or type when you complete the form. Please check our web site - www.funduc.com/contact.htm - for the fax number to use. Fax orders are processed within a few hours during the USA business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

  • Phone Registration: Call the number indicated on the page at www.funduc.com/contact.htm to order using a credit card. Please specify that the order is for Duplicate File Finder. Phone orders with email delivery are typically processed within one business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

Ordering by check: To register by check, open and print the fax/mail order fax/mail order form. You may also edit and print the file 'Order.txt' or 'Order64.txt' (x64 version) in the program subdirectory. Please write clearly or type when you complete the form. Mail the form and a check to the address indicated on the form. Please allow 7-10 days for check order processing and then contact support@funduc.com if you did not receive the program. Payments must be in US dollars drawn on a US bank or international postal money order in US dollars. If you send a postal money order, do so only by some form of registered mail that can be traced!


Funduc Software Products

Please visit our Web site at http://www.funduc.com for more information, freeware, shareware, and purchases of these and other products.

Search & Replace

Search and Replace is our award winning utility loved by programmers, webmasters, and novice computer users alike. If you need to find and replace text, or just find text, this utility is a must have.

Search and Replace looks through multiple files for a string and can also replace it with another string. It can search subdirectories and ZIP files and do case sensitive or insensitive searches. Extensive support for regular expression (egrep) search & replacement includes operations that span more than one line, insertion of the path & filename during replacements, and incrementing number replacements. Binary search & replace mode can be combined with regular expressions. Precise control over replacements is available through multiple confirmation options and a built-in context viewer that allows you to view replacements in- context, before they are made. An HTML Mode can be used to make html special character code substitutions during search/replace. Ignore Whitespace mode makes it convenient to handle spaces & cr-lf during non-regular expression operations. A built-in script editor makes frequent &/or complex multi-step search/replace operations easy to prepare. Advanced script operations include a boolean expression evaluator that provides additional control over which files are processed by the script. Advanced scripts also allow you to specify the program options in effect, insert comments in scripts, and perform iterative script operations. Multiple file masks and file date & size filters can be used to include &/or exclude files during regular and scripted operations. The internal context viewer includes a build-in editor for editing text files. The full complement of command line switches (including script launching) is ideal for network managers & advanced users. Other functions include: "Touch" files (change time/date stamp & file attributes); Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reports to monitor operations; Shell extensions to launch Search & Replace from Explorer and the Find Menu; and more. A detailed help file with examples are included. Several foreign language interface are available from ttp://www.funduc.com.

Search and Replace has received several awards from WUGNET® (Windows User Group Net) Windows NT Shareware Pick of the Week (www.wugnet.com/shareware), Windows Magazine (www.winmag.com) Superior Shareware, and has been featured several times in Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars, & a TUCOWS (www.tucows.com) 5 Cow rating.

Search and Replace Regular Expression Wizard

Search and Replace Regular Expression Wizard is a step-by-step wizard to help you build regular expressions for use in Search and Replace. The expressions can be constructed from a menu of operators having English language counterparts. The impact of the operators is displayed in color coded form on a sample text you provide. You can move back & forth between search operators - replace operators - final results to adjust your expressions as necessary. When finished, the final expressions are inserted into the corresponding Search and Replace fields if Search and Replace is running. The Wizard itself is freeware. Documentation requires a one time purchase. Search and Replace Regular Expression Wizard is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Directory Toolkit

Directory Toolkit is a multipurpose directory comparison and file manager that provides features missing from Windows. It displays single directory lists or side- by-side directory comparisons using color coding for alike, different, or missing files. Comparisons can be based on dates or a binary file analysis of file content. You can copy, move, & rename files while retaining long filenames and six built-in synchronize functions simplify updating directories. Built-in archive functions, with Explorer shell extensions, let you create & manage archives from Explorer and use Directory Toolkit as your primary archive manager for supported archives (zip, tar, gz, lz (read only), & cab). File operations and directory comparison functions work seamlessly on files in archives, e.g., no need to manually extract files first. Other features include statistics for file counts and path sizes; Ignoring filename case during comparisons; Explorer compatible OLE drag n Drop; Split/Concatenate files to/from diskettes; Encode/Decode UENCODE, Base64(Mime), BinHex(Mac), XXENCODE and yEnc formats, (Decode also includes quoted-printable, 7 bit unencoded, & plain text); An integrated comparison viewer for a color coded display of the actual differences in files; Safe physical sort of directories; Touch files (change time/date & attributes stamps); Find duplicate files on a drive; Open files and launch applications; Multiple include/exclude file masks and the ability to include/exclude files based on size and date; Command line switches & script functions to automate comparisons & synchronize operations & control program options in effect via batch files; Configurable output file and print functions to create reports of single and comparison directory lists; Detects & runs (optionally) setup programs in archives; Display file version information including 8.3 file name equivalents; File numbering to number files sequentially based on adjustable sort order and a user defined starting value. Help file with examples included. International versions are available from http://www.funduc.com.

Directory Toolkit has been a winner of the WUGNET® Windows NT Shareware Pick of the Week for (www.wugnet.com/shareware), WUGNET® Windows95 Best Choice Shareware for the week, and featured Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars.

Funduc Software ZIP Extractor

Funduc Software ZIP Extractor is ZIP "self-extractor stub" that lets you turn your ZIP files into a self-extracting executable that will automatically unZIP the archive when launched. This allows you to share your zip files with another person who might not have an unzip software on their computer &/or who might have only occasional use for an unzip tool. The self-extractor allows some or all files to be extracted and can create the paths in the zip file (default) or "flatten" the directory structure (unzip into a single path).

Replace Studio

Replace Studio is a cousin to our award winning Search and Replace utility. Replace Studio searches through one or more files for a string and can replace that string with another string. Choices for search settings include: Subdirectory Search; Archive Search (Zip, Tar, Tar.Gz, Tar.Z, Tgz, Taz); Case Sensitive; Whole Word; Ignore Whitespace; HTML Mode. File Masks and file size &/or date Filter settings are available for further choices about the files to be processed. Like Search and Replace, Replace Studio has extensive regular expression (egrep) search & replacement functionality for complex search/replaces. A Favorites menu and script editor simplifies user control over frequent &/or complex multi-step search/replace operations. Replacements in files in supported archives can be done directly - no need to manually extract files first. A built-in Context Viewer allows you to view &/or manually edit the files found by the search. The many additional options include: Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reporting; Control over results list sorting; File Operations on files found by the search; Launch Explorer on the search results path of a file; Settings to use alternative viewer/editor on found files; Automatic locale-based international versions for supported languages; and more. Replace Studio comes in 32-bit and 64-bit versions for Windows XP and above. Two flavors are available: Pro and Business. The Pro version is intended for use as a graphical interface program while the Business version is oriented towards script-based & command line use, where a graphical interface is not required.

Resource Translation Toolkit

Resource Translation Toolkit (RTT) is utility to simply translation work on po, rc, and tmx files. Various translation suites are available but they are expensive or limited to a single file type. Resource Translation Toolkit is low cost and can work with multiple file types. The program runs on Windows 2000 and above, is small in size (approx 3 MB including support files), and does not place extensive demands on your computer. RTT uses a 'Translation Memory' file, which can be in a TMX or POT format. The program simplifies translation by first removing mnemonics (accelerator keys), shortcut keys (such as Ctrl+C) and punctuation characters from menu and other control text, sorting and consolidating duplicates and presenting them for translation.

Registry Toolkit

Registry Toolkit lets you search &/or replace and edit the Windows registry. You can specify the data types to process, start key, case sensitive, whole word. Regular expression operations using an egrep-type syntax are also available. You can create/edit keys, values, &/or data manually if you wish. A unique 'operations' function lets you move/copy/delete/export values you select. For example, you can copy/move keys from one location in the registry to another. The program now maintains multiple 'undo' files that can be used to reverse previous changes (10 is the default). An automatic 'last change' undo is available from the program GUI. Replaces can be previewed in advance, in-context. Replaces can also be previewed in the context of an overall search - a comparison dialog then lets you select/deselect specific operations to perform before making the overall replace. The program can print search & registry browse results. The .reg import function allows you to compare existing data vs. data to be imported - specific items can then be selected/deselected. The .reg export function can be used to make special .reg files that delete keys when merged via Registry Toolkit or our new Registry Toolkit Merge program (see our web site). The various program comparison dialogs are configurable and their contents can be copied to the windows clipboard. The program can read DOS environment variables and use them in a search/replace. Script file & command line functions are available for automated &/or complex operations. Registry Toolkit will operate on a remote registry (if you have permission to do so). A German interface is available.

Registry Toolkit Merge

Registry Toolkit Merge is a companion program for Registry Toolkit. Registry Toolkit Merge is a command line that merges .reg files into the Windows registry. Registry Toolkit Merge is unique because it can be used to create self-contained, self-importing .exe's. When clicked on, the .reg information is imported into the registry (after confirmation). This is be useful, for example, if you need to distribute a .reg file to others but are worried that they might not know how to import a .reg file manually. Alternatively, a .reg file can be passed to the program from the command line. Like Registry Toolkit, the program can be used to apply .reg files that will delete keys from the registry or copy/move them to another location -- tasks that cannot be accomplished easily by the regedit.exe .reg merge function that comes with Windows.

Folder Synchronize

Folder Synchronize is a command-line utility useful to network administrators and other power users. It provides a subset of the functions in our Directory Toolkit utility, namely, the comparison & synchronize functions. We created Folder Synchronize for those who needed those functions but not the GUI interface & other functions of Directory Toolkit such as archive management, file operations, etc. Folder Synchronize is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Folder Synchronize can synchronize two paths using one of 6 synch methods. The program can also do a comparison-only. This is useful with the output report function. When the output report is enabled it will contain a summary of the path comparison &/or a summary of the file operations carried out by the synchronize. Other features include: Switchable display (or not) of a progress meter; A custom bitmap & message of your choice can be displayed on the screen while an operation progresses; A 'No Cancel' switch can be used to make it less easy for a procedure to be interrupted; Require (or not) confirmation of file operations; Complex include/exclude file masks that let you include/exclude some file or subdirectories while including others; Multiple operations can be submitted to the program via multiple 'configuration files'.

Folder Synchronize Script Editor

The 'Script Editor' is used to generate (or edit) script files that can then be used with Folder Synchronize or our Directory Toolkit utility. The script switches are presented in an organized arrangement. The display of related switches can be collapsed/expanded for readability. Folder Synchronize Script Editor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Mover

Application Mover is a tool that relocates installed programs from one path to another on your hard disk. Application Mover takes files found one path and moves them to another that you specify. Application Mover scans the windows registry for references to old file location and adjust the registry to the new location. Application Mover also scans all windows shortcuts in the Start Menu and adjusts those as well. *.ini and *.log files present in the program's path are updated to reflect the new location of your program. Application Mover is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Inventory

Application Inventory is a utility that scans your system for program .exe files and generates a configurable report about the files that were located. Optional follow-up scans are then initiated to cross-reference the initial scan results with windows .lnk shortcuts and/or references in the windows registry. Further details on files are available from Properties and References dialogs. Include and exclude filters are available to define the initial search by path &/or string(s) found in file version information. The fields included in the initial file scan are configurable. Results be sorted, copied to the clipboard, printed, or saved in a delimited file you specify. Application Inventory can also launch windows explorer on the path containing a file in the results list. Although Application Inventory is intended as a reporting tool, various windows properties sheets can be launched that allow you to make edits to file or shortcut properties. The program defaults to scanning for .exe files but a special switch is available to scan for another file type that you specify. Application Inventory is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Duplicate File Finder

Duplicate File Finder is utility that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of names. The path(s) to scan is configurable by file path and file mask(s) and filter settings can be used to include/exclude files by date, size, attribute. Results can be saved to a tab delimited file. Supplementary functions include launching files, deleting files to the recycle bin, opening Explorer on a path, and examining file properties. Duplicate File Finder is available in 32-bit or 64-bit (x64) versions for Windows XP and above.

FSDBMgr - A Freeware Database Manager for SQLite

FSDBMrg (Funduc Software Database Manager) is an open source, customizable database manager for SQLite. The source code and compiled working demo with a sample database is available on our www site. SQLite was our choice for the database but the program can be easily modified to work with any database for which an ADO .Net provider is available. The demo code includes functions to: Find & modify customer and purchase history; Importing records saved in text format; Saving and running custom SQL; Generating pdf receipts; Tracking sales tax.

File Merge Express

File Merge Express is a file comparison and merge utility for 32 bit Windows. The program displays a contents comparison of two files and can (optionally) create a third file, 'Merge File' that consists of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, etc. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu. File Merge Express will also supplement our Directory Toolkit utility. If both programs are installed, Directory Toolkit's file contents comparison will automatically employ File Merge Express, which has more features than Directory Toolkit's internal routine. File Merge Express is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Delivery Agent

Delivery Agent is a send-only e-mail program, with mail merge functions, for use by web site managers, network administrators, customer relations and support personnel, etc. The program is used to deliver frequently used, customer-requested e-mail messages (& MIME attachments) such as newsletters, product delivery & announcements, support notes, etc. Messages can be sent to one or more users by selecting a message from a list and entering the users' address. The program can read a text file containing a list of addresses for bulk delivery. Recipients of bulk deliveries are shielded from seeing the other recipients in the list. The program checks a POP e-mail account prior to sending message via SMTP - useful for servers that 'validate' the users current IP address prior to mail relays. Version 3.0 adds MAPI support. When activated, the program will route outgoing messages to your primary MAPI-aware e-mail program. Mail merge field name definitions, variable names, and data are stored in a single file containing the data and e-mail addresses. Variable names can be anything you like (except for the name of the e-mail address field). Mail Merge 'Constants' can also be defined. The program has a customizable header function that can be used to send web mail' or 'HTML mail'. The "To: " field can also be customized for bulk, non- mail merge deliveries. Port settings to use and maximum number of recipients per block can be configured manually. Settings and messages can be created via the program GUI or, once you are familiar with the program, via an external text editor. A full complement of command line switches allows the program to be incorporated into your .bat routines. A log file of deliveries can be enabled (or not).

Shortcut Doctor

Shortcut Doctor allows you to check your Windows links/shortcuts and see which contain targets which can no longer be found. The program can then delete the shortcuts, resolve them, or carry out search/replace operations to modify shortcut fields with or without validation of new paths. Network Drive mappings can be inserted in the Replace dialog automatically. Individual shortcuts can be edited and all shortcuts on a drive can be displayed, regardless of whether they are valid or not. Explorer Internet URLS can also be checked for problems. CD-ROM drives, network drives, and specific paths can be ignored during processing. Includes an Empty Recent Documents button. Script files, run from the command line, allow you to do multiple operations, control program options, and easily specify complex paths. A German interface is available. Shortcut Doctor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Funduc Explorer Extensions

Explorer Extensions is a collection of enhancements for the Windows Explorer right-click context menu: a) Encode and Decode Email attachments - support for UUENCODE, Base64(Mime), BinHex(Mac), XXENCODE, quoted-printable, 7 bit unencoded, & plain text, b) Split and Concatenate large files into smaller ones for storage on floppies & visa versa. Split can be based on file size or a string found in a file, c) Touch files - change the time, date, & attributes of files. Touch can add (or subtract) a user specified time value from the current file time. d) File Operations - copy/move/rename/delete files using complex file masks. The program can also change the case of file names & number files. Explorer Extensions is available in 32-bit and 64-bit (x64) versions for Windows XP and above. A German version is available.

Drive Bar

Drive Bar allows you to conveniently open views of your drives in the Windows Explorer. Drive Bar's Auto Hide function allows it to disappear from view when not in use so that it does not take up screen space. Drive Bar is resizable and can be set to remain visible at all times. It can also be set to launch alternative file manager programs in lieu of Windows Explorer, launch views as "Tiled" or not, ignore specified drives in the list of drive icons, and run automatically at Windows startup.

Update Toolkit

Update Toolkit is a multi-purpose application intended for administrators network managers. This program was created for those who need some or all of the separate functions of our Folder Synchronize, Shortcut Doctor, Registry Toolkit, and Search and Replace utilities under one command line application. Operations are controlled by scripts and are highly configurable. While Update Toolkit can be used on individual machines, it is oriented toward 'logon-script' operations for workstations. The program has no user interface and therefore is well suited for automated operations.

Count Characters (freeware)

Count Characters copies most Windows controls' data to the clipboard! That's just one of the features of this freeware program from Funduc Software. The program can report the type and content of some of the windows currently displayed on your desktop and for the most popular types of controls (including lists and trees) it can copy their contents to the clipboard. You can also copy the contents of password fields and regular text boxes. Cost: Fre.

Decode Shell Extension (freeware)

Decode Shell Extension is very popular freeware app is an extension for the Windows Explorer. The program allows you to decode Internet email attachments by right-clicking on a saved message file from Explorer and selecting Decode from the menu. The program supports multiple attachments, multi-part files (already concatenated), UUENCODED, Base64(MIME), BinHex (Mac format), quoted-printable, XXENCODED, plain text files, and User (table) encoded files. If the attachment contains only one file, Decode Shell Extension will offer to open it using either the associated program or Notepad. For virus safety reasons, it will not offer to launch .exe., .com, .bat, & .cmd files. You should scan decoded Word and Excel files with your anti-virus checker before loading them.

Word Search and Replace

Word Search and Replace is a freeware macro for Microsoft Word. It uses the 'find and replace' functions of MS Word to perform a search/replace in one or more files selected by a file mask supplied by the user. We created 'WordSR' for those who need to search/replace in Word documents only. The macro can use the Word 'Pattern Matching' regular expression switch. Case Sensitive and Whole Word search/replace is also possible

Excel Search and Replace

Excel Search and Replace is a counterpart to our Word Search and Replace. This is a freeware macro for Microsoft Excel that searches (and replaces) in multiple .xls files using Excel's built-in find & replace function.

PowerPoint Search and Replace

PowerPoint Search and Replace rounds out our collection of freeware find and replace Office Macros. This macro is a PowerPoint .ppt file that works with MS PowerPoint files using the find and replace functions that are part of PowerPoint. You need to have the full version of PowerPoint installed. The macro can be run as a slide show but it will not work if you only have the PowerPoint Show Viewer from Microsoft.

TZAdjust (freeware)

TZAdjust, which stands for Time Zone Adjust, is a freeware app we created for users who find it necessary to make manual changes to the Windows time zone and 'day light savings' offset parameters. TZAdjust is probably of greatest interest to Windows NT-class users. NT/2000/XP returns time information as an offset from Greenwich Mean Time (GMT). In addition, the OS automatically makes Daylight Savings compensations when reporting file times. One can disable "Automatically Adjust for Daylight Savings" entirely in the Windows Day/Time Properties dialog but there may be other instances where finer control over time zone and the daylight offset is desired. Do not use TZAdjust casually. Be sure to read the information in the 'readme.txt' before using this program.

FS Touch (freeware)

Funduc Software Touch is a free 'touch' utility to change the time/date & attribute stamps on one or more files. The program can be run from a graphics screen or from the command line. The program runs on Windows XP and above.

HexView for Windows (freeware)

HexView is a multiple document Hexadecimal viewer that can display, print, and print preview any file as a hex dump. It is intended as a supplement for Search and Replace for Windows, however, it is a standalone app and does not require Search and Replace. A Japanese version is available.

Limit Edit (freeware)

Limit Edit expands upon the built-in limit feature for edit boxes & rich edit controls by letting you set your own maximum size settings for the amount of text permitted in edit boxes and rich edit controls. For example, Limit Edit can set a limit on the amount of text allowed in an instance of the Notepad text editor. The Limit Edit dialog also displays interesting information about the types of controls in use by a program. Although intended for edit boxes and rich edit controls only, it may also work on some other controls that are subclasses of these. Separate 16 and 32 bit version included.


File Menu

Search for Duplicate Files: Activates the Search dialog to configure the path(s), file mask(s), and filters (if any) to use during the scan.

Open: Launch a highlighted file.

Save As: Saves the entire results list or only the highlighted files to a disk file. The file is tab delimited for easy import into a spreadsheet. The program defaults to .csv for a name extension.

Print: Print the results list.

Print Setup: Activates the windows printer setup dialog.

Exit: Close Duplicate File Finder.


Edit Menu

Select All: Select all files in the results list.

Select All Duplicates: Select only the duplicate files in the results list.

Copy: Copy the file list information for the highlighted file(s) to the clipboard.

Delete: Delete the highlighted file(s). If you have not otherwise disabled it, the Windows recycle bin is used. If you wish to not use the recycle bin, you can hold the shift key. Shift+Delete also works directly in the main dialog. Use this feature with care -- avoiding the recycle bin makes it more difficult, if not impossible, to recover from deletion mistakes. You will need an undelete utility of some kind to undo delete mistakes.

Find: Find a text string in the results list using a standard search dialog.

Find Next: Repeat the last search in the results list.


View Menu

Toolbar: Enable/Disable the toolbar. Note: You can also undock the toolbar and move it to another location in the window.

Status Bar: Enable/Disable the status bar at the bottom of the main dialog.

Properties: Open a Windows properties dialog on the highlighted file.

Explore Directory: Launch Windows Explorer on the path of the highlighted file.


Help Menu

Contents: Opens the F1 Help.

Search: Opens the F1 Help Index.

About Duplicate File Finder: Launches the program About dialog.


Context Menu

The context menu is available by right clicking with the mouse in the list section of the main dialog.


Funduc Copyright

Duplicate File Finder

Copyright © 2001-2010 Funduc Software, Inc.
All Rights Reserved
www.funduc.com www.searchandreplace.com

[Note: Duplicate File Finder may also be called by our shorthand name, DupFiles, within our own documentation and web sites. Both titles refer to the same product.]

For customer support, contact support@funduc.com or support@searchandreplace.com. Also visit our web site for product information, trialware & freeware downloads of our other award winning software products.


Delete Button

Delete Button: Click here to delete the highlighted file(s).


Filters - Attribute Filter Examples

Below are some example filter settings using the Attributes & Reverse Filters checkboxes in Filters.

Notes:

  • To return to baseline, make your settings 'Dim', Reverse Filters = Off (unchecked).

  • Directory is considered an 'attribute' by the program. Directories can also have 'a', 'r', 'h', &/or 's' attributes assigned to them.

  • When Reverse Filters is off, checked choices originate from the perspective of an 'exclude' filter.

  • If you need to 'filter' files by file name or path, use the Paths dialog.

    • Goal | Settings
Process 'a-only' files | Reverse Filter = On, Check 'Archive', Uncheck everything else. Make 'Directory' dim to also list 'a' subdirs.
Process files with no attribute set | Reverse Filter = On, Uncheck everything else. Make 'Directory' dim to also list subirs with no attribute set.
Process files that are 'ra' in some way | Reverse Filter = On, Check 'Read Only' and 'Archive', Others dim.
Process files that are not 'r' in some way | Reverse Filter = Off, Check 'Read Only', Others dim.
Process files that are not 'ah' in some way | Reverse Filter = Off, Check 'Archive' and 'Hidden'.
Do Not list Directories | Reverse Filter = Off, Check Directory, Others dim.
List Directories Only | Reverse Filter = On, Check Directory, Others dim.


Filters - Invalid File Size

See Filters. You probably have two size settings that are in the wrong direction. The larger value must be in the 'Greater Than' field.


Filters - Size and Date Filter Examples

Below are some sample outputs showing the effect of date and size filters and the Reverse Filter switch in Filters. Note the effect of enabling Reverse Filters, which causes the date and size settings to act as 'include' settings instead of 'exclude' settings. Also note the last example, which shows the use of two size settings to eliminate the smaller and larger files, leaving only the 'Middle.txt' file. If more files were present you could also specify one or both of the date filters to list only files between 100 and 2000 bytes that were created between Jan 01, 2010 and Dec 31, 2010, for example.

Also see Attribute Filter Examples for information on how the attribute switches in Filters can be used.

Note: Use the Paths dialog to 'filter' files by file name or path.

No Filters Specified:

File Name | Size | Modified Date
OldSmall.txt | 10 | 04/22/2010
OldLarge.txt | 9600 | 04/22/2010
Middle.txt | 1000 | 05/01/2010
NewerSmall.txt | 10 | 10/22/2010
NewerLarge.txt | 9600 | 10/22/2010

Before Date = 04/01/06 Reverse Filters = Off:

File Name | Size | Modified Date
NewerSmall.txt | 10 | 10/22/2010
NewerLarge.txt | 9600 | 10/22/2010
Middle.txt | 1000 | 05/01/2010

Before Date = 04/01/06 Reverse Filters = On:

File Name | Size | Modified Date
OldSmall.txt | 10 | 04/22/2010
OldLarge.txt | 9600 | 04/22/2010

Less Than Size = 100, Reverse Filter = Off:

File Name | Size | Modified Date
OldLarge.txt | 9600 | 04/22/2010
Middle.txt | 1000 | 05/01/2010
NewerLarge.txt | 9600 | 10/22/2010

Less Than Size = 100, Reverse Filter = On:

File Name | Size | Modified Date
OldSmall.txt | 10 | 04/22/2010
NewerSmall.txt | 10 | 10/22/2010

Less Than Size = 100, Greater Than Size = 2000, Reverse Filter = Off:

File Name | Size | Modified Date
Middle.txt | 1000 | 05/01/2010


Find Dialog

A Find dialog similar to the below is available in the results section of the Main Dialog to search for a text string. Find is activated by pressing CTRL+F or F3 or from the Edit Menu.


DupFiles About Box

Duplicate File Finder About Box

This window contains system and copyright information. The underlined link to our web site will launch the default www browser for your computer and take you to http://www.funduc.com. The underlined Email link will launch the default Internet Email program for your computer. Click the Ordering Info button for Ordering Information or the License Info button for License Information.


About Box

Duplicate File Finder

Copyright © 2001-2010 Funduc Software, Inc.
All Rights Reserved
www.searchandreplace.com www.funduc.com

Note: Duplicate File Finder may also be called by our shorthand name, DupFiles, within our own documentation and web sites. Both titles refer to the same product.

For customer support, contact support@funduc.com or support@searchandreplace.com. Also check our web site for product information, trialware & freeware downloads of our other award winning software products.


Include Exclude Masks Item 1

Include Exclude Mask List Item1: If this expression was highlighted, the string *.* would be visible in the "Files Matching" field to the right of the dialog. The " Include" and "All" radio buttons would be on.


Include Exclude Masks Item 2

Include Exclude Mask List Item2: The expression here makes use of the * wildcard operator to exclude all *.gif files in all subdirectories in all levels below the starting path.


Include Exclude Masks Item 3

Include Exclude Mask List Item3: The expression here excludes all folders that begin the string _Restore. In addition, all folders underneath that are excluded.


Include Exclude Masks Item 3

Include Exclude Mask List: The list of masks that will be inserted into the mask field when you click the OK button. Each expression here will be combined as a single expression separated by semi-colons.


Up Button

Up Button: Moves the highlighted mask in the Include/Exclude list up one step.


Down Button

Down Button: Moves the highlighted mask in the Include/Exclude list down one step.


Apply Button

Creates a mask in the Include/Exclude list for the data listed in the fields on the right side of the dialog.


Add Button

Add Button: Creates a new blank mask at the bottom of the Include/Exclude Mask list.


Insert Button

Insert Button: Inserts a blank mask in the Include/Exclude list above the highlighted line.


Delete Button

Delete Button: Deletes the highlighted mask in the Include/Exclude list.


Include Field

Include Field: Mark this to have the data in the other fields to the right of the dialog be an "include" mask.


Exclude Field

Exclude Field: Mark this to have the data in the other fields to the right of the dialog be an "exclude" mask.


Files Field

Files Matching Field: Enter either a specific filename or a wild card expression to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used. "Files Matching" may be used alone to specify a general include or exclude file mask or it may be combined with data involving the "Directories Matching" field below to identify files in some directories but not others.


Directories Matching Field

Directories Matching Field: Enter a directory name or a wildcard specified directory name to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used.


Directories All Field

All Field: Mark this to use only the data in the "Files Matching" field. The "All" field is mutually exclusive with the "Use Match" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.


Directories Use Match Field

Use Match Field: Mark this to use an expression involving a subdirectory name specified in the "Directories Matching" field. The "Use Match" field is mutually exclusive with the "All" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.


Directories Any Levels Field

Any Number of Levels Under Start Directory Field:

a) Leave this unmarked to include (or exclude) the directory specified in the "Directories Matching" field that exists immediately under the starting path for the scan. For example, given the staring path c:\test\, the expression ~\skip_me\ would skip the files in c:\test\skip_me\. However, files in c:\test\more\skip_me\ or c:\test\skip_me\test2\ would be processed. To also skip files in subdirectories under c:\test\skip_me\test2\, turn on the "Also Process Subdirectories" field.

b) Mark this to include (or exclude) the directory specified in the "Directories Matching" field no matter how many levels below the starting path the directory it exists. For example, the expression ~\*\skip_me\ excludes c:\test\skip_me\ and c:\test\more\skip_me\. Files in subdirectories under c:\test\skip_me\ and c:\test\more\skip_me\ that are not named "skip_me" would be processed, e.g., c:\test\more\skip_me\more2. To also skip files in 'more2', turn on the that "Also Process Subdirectories" field.


Directories Process Subdirectories Field

Also Process Subdirectories Field: Mark this include (or exclude) subdirectories below the directory specified in the "Directories Matching" field.


Include Exclude OK Button

OK Button: Inserts the items in the mask list into the File Mask field in the Paths tab.


Include Exclude Cancel Button

Cancel Button: Close dialog without making changes.


Include Exclude Help Button

Help Button: Activates the online help.


Language Support

International Version Support

Duplicate File Finder has built-in support to use a non-English, international program interface based on the language settings for your operating system. Please see the Duplicate File Finder home page on our web site for the latest information about the language choices that are included with the program. Also, please email support@funduc.com if you are interested in translating the interface into your native language.

Thanks.


About Button (P)

About Button: Activates the About dialog.


Main Dialog

Duplicate File Finder Main Dialog

Usage begins by clicking on the Search button or by selecting Search from the File menu. The Search and Filter dialogs are used to configure the path(s), file mask(s), sort order, filters (if any) to use during the scan. For example, you can specify for the search to consider only *.txt;*.htm files and further limit the search to those within a date range or size.

The Search dialog is also used to control whether or not checkboxes are used in the Results List.. When checkboxes are enabled you must check one or more files to perform an operation on those files.

After the scan is completed the output lists file date, size, CRC value, and Checksum. Summary statistics are listed in the status bar at the bottom of the main window. To see file properties for a file, highlight a file and click on the Properties button Windows Explorer can be launched on a path via the Explorer button One or more files can be deleted from the Edit Menu - Delete function. Results can be saved to a .csv file for easy loading into a spreadsheet via the Save As button. You can also quickly highlight duplicate files from the Edit menu and save those results to a file. The results list is searchable (press F3) and can be printed. Finally, a context menu is available by right clicking on a file and the toolbar can be disabled or docked elsewhere.

Click on the graphic below for more information.


Matching Methods

Duplicate File Finder can use two methods to determine whether or not file(s) are alike:

CRC32 and Checksum: When this is selected in the Match By field the program calculates a product of the CRC32 value and a 32 bit Checksum value for each file. If that product matches one or more other files, those files are considered alike. The CRC32 and Checksum values are listed in the program output.

MD5: When MD5 is selected in the Match By field the program calculates the MD5 value for each file. If MD5 values match, those files are considered alike. The MD5 value is listed in the program output.

Notes:

  • Most users can leave the program at the default program setting of CRC32 and Checksum method. By random chance, the probability of two files having the same CRC32 value is approx 1 in 4 billion and the chance probability of 2 files having the same 32-bit checksum is approximately 1 in 64000. Because the program uses both values to determine alike vs. different, the random odds of two files being incorrectly marked as alike are very small.

  • MD5 is a 128 bit hash value. In simplest terms, the likelihood of two files yielding the same MD5 value is 2^128.

  • Duplicate File Finder is not intended as utility to provide forensic, legal, court related, or high security guarantees that two or more files are identical. Technical users will know that above statements are very simplified. If someone were to intentionally modify one or more files in an effort to trick any of the algorithms used by the program the odds of a false 'identical' are higher than the general notions above.

  • For general purpose use, where your computer is functionally normally and has not been victimized for a virus and/or has not been otherwise maliciously tampered with in some way, either matching method should be more than adequate.

  • For all practical purposes, there is little difference in speed between the two matching methods. The speed of your disk system and the number of files to check based on your Paths and Filters will overshadow any differences in speed based on the Matching Method.

  • If you are highly concerned about accuracy and are worried that highly critical file(s) might be incorrectly marked as alike you should make a complete backup of all your data before deleting any files.

  • Please see Usage Guidelines for other information about program use.


MEdit_Menu (P)

Edit Menu: Activates the Edit Menu.


Explore Button (P)

Explore Button: Launches Windows Explorer on the path containing the highlighted file.


MFile_Menu (P)

File Menu: Activates the File Menu.


MHelp_Menu (P)

Help Menu:

Activates the Help Menu.


Print Button (P)

Print Button: Print the current results.


Properties Button (P)

Properties Button: Activates a standard Windows properties dialog on the highlighted file.


Results List (P)

Results List:

The results of a scan for duplicate files are listed here. Alike files grouped together, regardless of name. You can highlight one or more files to delete them (Edit Menu). Windows Explorer or a Windows Properties dialog can be launched on a highlighted file. The entire list or file information for the highlighted files can be saved to the clipboard or printed. If you double click on a file and if the file type is associated with a program on your computer, the file will be opened/launched. A Context Menu is available by right clicking with the mouse. A simple Find Dialog can be used to search the results for a string.

Note: The program defaults to CRC32 - Checksum matching. The matching method choice is determined in the Matching Method field in the Paths dialog. When CRC32 - Checksum is used, the CRC32 and 32-bit checksums are listed in the results. If MD5 is chosen, only MD5 values are listed.


Save As Button (P)

Save As Button: Saves the results list (or the information for the highlighted files) to a tab-delimited file. The program defaults to .csv for a file name extension. .csv is recognized as a file name extension by many spreadsheet programs so you may be able to double click on the file in Explorer to open it directly in your spreadsheet application.


Search Button (P)

Search Button: Activates the Paths dialog. From there you can configure the paths, file masks, and filters to use while scanning for duplicate files.


Status Bar (P)

Status Bar: Summary statistics for the scan for duplicates are listed in the status bar. The status bar can enabled/disabled in the View Menu.


MView_Menu (P)

View Menu: Activates the View Menu.


Filter Options Explanation (P)

Filter Options: Filters are used to set file date, file size, and attribute criteria for files to include or exclude from the duplicate scan. Filters are used in conjunction with the Path setting to specify which files will be processed. See Size and Date Filter Examples for some samples.


Apply Button (P)

Apply Button: Click here to apply the changes but leave the dialog open.


Help Button (P)

Help Button: Click here to activate online help.


OK Button (P)

OK Button: Click here to save settings and close the dialog.


Cancel Button (P)

Cancel Button: Click here to close the dialog and cancel any changes made.


Exclude After Date (P)

Exclude After Date: When 'Reverse Filters' is disabled, files dated after the date specified are excluded. Enabling 'Reverse Filters' has the opposite effect - only files after the date specified are included. You may combine this setting with a 'Before Date' to limit operations to a specific date range. Date exclusions can also be combined with one or both of the exclude by size filters. See Size and Date Filter Examples for some samples.

Note: Use the Paths dialog to 'filter' files by file name or path.


Attributes (P)

Attributes

Select one (or more) attribute-types to include/exclude. See Filters - Attribute Examples for some sample settings.

Dim: The attribute is not considered in any filter.

Checked: Files that do not have the checked attributes will be included. For example, to list files that do not have archive set, check 'Archive'. To list files that are not 'ah', check 'Archive' and 'Hidden'. The checked attributes are 'ANDed', meaning all the checked attributes must be present. For example, when 'Archive' and 'Hidden' are checked, 'a', 'h', 'ar', 'as' are listed but 'ahr' or 'ah' are not. Furthermore, if you had one, an 'ah' directory would not be listed.

Unchecked: Files having that attribute in combination with any other unchecked attribute are listed. For example, to list 'a' and 'ro' and directories, uncheck 'Archive', 'Read Only', and 'Directory'.

Combinations of Checked and UnChecked: Checked and unchecked creates an 'OR' relationship between the checked and unchecked items. For example, 'Archive' unchecked and 'Read Only' checked eliminates 'r' from the operation that are either 'r' alone or do not have 'a' involved as well. This means that 'rsa' files would be included but not 'rh' files. To continue, if 'Archive' is unchecked and both 'Read Only' & 'Hidden' are checked, files that are both 'rh' are eliminated except for files that also include 'a'.

Notes:

  • Attributes have many possible choices and combinations of checked/unchecked can be confusing. A 'dim' check in all attributes fields and Reverse Filters off (unchecked) is the program default. If you need to return to baseline, make your settings appear like they do in the graphic here.

  • Directory is considered an 'attribute' by the program. Furthermore, directories can also have 'a', 'r', 'h', &/or 's' attributes assigned to them. Keep this in mind if you change 'Directory' to something other than Dim. For example, when 'Archive' and 'Hidden' are unchecked the program no longer lists all subdirectories. It instead lists only those directories that are 'a' or 'h' (or both), possibly in combination with 'h' &/or 's'. On many machines, if you uncheck 'Archive' and 'Hidden' you will see no directories listed because the majority of directories have no additional attributes specified.

  • When Reverse Filters is disabled checked choices originate from the perspective of an 'exclude' filter. For example, if 'System' alone is checked, all 's' files and subdirs are excluded. If 'System' and 'Read Only' are checked, files and subdirs that are 'sr' in some way are excluded.

  • If you need to 'filter' files by file name or path, use the Paths dialog.


Exclude Before Date (P)

Exclude Before Date: When 'Reverse Filters' is disabled, files whose date stamp precedes the date specified are excluded from the operation. Enabling 'Reverse Filters' has the opposite effect - files preceding the date specified are included. You may combine this setting with a 'Before Date' to limit operations to a specific date range. Date exclusions can also be combined with one or both of the exclude by size filters. See Size and Date Filter Examples for some samples.

Note: Use the Paths dialog to 'filter' files by file name or path.


Exclude Files Less Than (P)

Exclude Less Than: When 'Reverse Filters' is disabled this field excludes all files smaller than the value entered. Enabling 'Reverse Filters' has the opposite effect - only files smaller than the value entered are included. Size units may take the form of # of bytes or whole K, KB, or M values, e.g., 100K, 100KB, 1M, 4M. Do not enter fractional values when using K, KB, M quantities. This field can be combined with a value in the 'Larger Than' field and one or both of the date filters. See Size and Date Filter Examples for some samples.

Note: Use the Paths dialog to 'filter' files by file name or path.


Exclude Larger Than (P)

Exclude Larger Than:

When 'Reverse Filters' is disabled this field excludes all files larger than the value entered. Enabling 'Reverse Filters' has the opposite effect - only files larger than the value entered are included. Size units may take the form of # of bytes or whole K, KB, or M values, e.g., 100K, 100KB, 1M, 4M. Do not enter fractional values when using K, KB, M quantities. This field can be combined with a value in the 'Less Than' field and one or both of the date filters. See Size and Date Filter Examples for some samples.

Note: Use the Paths dialog to 'filter' files by file name or path.


Filter Reset Button (P)

Reset Button: Click this turn off all filter settings by resetting the fields back to the defaults.


Reverse Filters (P)

Reverse Filters:

The Reverse Filters switch is used to make the Minimum & Maximum Size, Minimum & Maximum Date, and File Attribute settings work as 'inclusive' filters. Dim vs. Checked vs. Unchecked for Attribute choices work in a similar fashion to when Reverse Filter is off except that logic works toward including files instead of ruling them out.

For example, Reverse Filter = On, 'Archive' & 'System' checked list only files (&/or directories) that are 'as' in some way. If Reverse Filter = Off, no 'as' files (&/or directories) are included.

To continue, Reverse Filter = On, Minimum Date=11/01/2010 Maximum Date Filter=11/30/2010, and 'Archive' is checked, 'a' files/dirs 10/31/2010 or earlier AND those 12/01/2010 or later will be included.

Also Size and Date Filter Examples and Attribute Filter Examples for more information.


Search Add Button (P)

Add Button: Activates a Windows path browser you can use to select a path.


Search Delete Button (P)

Delete Button: Delete the highlighted path.


Search Edit Button (P)

Edit Button: Edit the highlighted path


Search File Mask (P)

File Mask: A simple or complex file mask can be specified. For example, *.txt will search for duplicates with the .txt extension only. Separate multiple file masks with the ; character. For example, *.htm;*.html is acceptable. "Exclude Masks" can also be used to rule out files by folder name or file name. The sample here shows an exclude: No *.gif files will be tested. See Paths for more information.


Include Exclude Dialog (P)

Include Exclude Dialog: Click here to launch the Include/Exclude dialog. Use that dialog to help you construct complex file masks to include or exclude some files or directories.


Include Exclude Dialog (P)

Match By: Use the [image] selector to chose the matching method. The choices are: CRC32 and Checksum; MD5. When CRC32 - Checksum is selected, the program calculates the product of the CRC32 and 32 bit Checksum values for each file. If that product matches another file, the files are considered alike. When MD5 is selected, files are considered alike if their MD5 values match. See Matching Methods for more information.


Sort Order

Sort By: Use the [image] selector to pick a sort order to use when the results list is generated. The choices are: Path - Descending; Path - Ascending; Path - Descending; Date/Time - Ascending; Date/Time - Descending.


Search Paths (P)

Search Paths: Duplicate File Finder defaults to scanning all available hard drives. Change the selection using the Add, Edit, or Delete buttons. You can specify as many paths as you like. Use the File Mask field to narrow the scan to one or more file names.


Use Checkboxes

Use Checkboxes: Check this to enable checkboxes in results list in the Results List.


Recycle Bin

By default, Duplicate File Finder uses the Windows Recycle bin when deleting files. If you wish to not use the recycle bin, you can hold the shift key while picking Delete in the Edit Menu.. Shift+Delete also works directly in the main dialog.

Use this feature with care -- avoiding the recycle bin makes it more difficult, if not impossible, to recover from deletion mistakes. You will need an undelete utility of some kind to undo delete mistakes.


Results List

The results of a scan for duplicate files are listed here. Alike files grouped together, regardless of name. You can highlight one or more files to delete them (Edit Menu). Windows Explorer or a Windows Properties dialog can be launched on a highlighted file. The entire list or file information for the highlighted files can be saved to the clipboard or printed. If you double click on a file and if the file type is associated with a program on your computer, the file will be opened/launched. A Context Menu is available by right clicking with the mouse. A simple Find Dialog can be used to search the results for a string.

Note: The program defaults to CRC32 - Checksum matching. The matching method choice is determined in the Matching Method field in the Paths dialog. When CRC32 - Checksum is used, the CRC32 and 32-bit checksums are listed in the results. If MD5 is chosen, only MD5 values are listed.


DupFiles Order Form

Duplicate File Finder Fax and Mail Order Form

Funduc Software, Inc. - Fax and Mail Order Form
Duplicate File Finder 32-bit or x64

Funduc Part Numbers: 802-DF-6822 (32-bit) or 802-DF-6864 (x64) (Circle Your Choice)

Fax Orders:

Fax to the number indicated on the page at
www.funduc.com/contact.htm

Check Orders:

Funduc Software, Inc.
PO Box 530904
Livonia, MI 48153-0904
USA

-------- PRINT NEATLY OR TYPE! --------

Price Schedule | Price ($US) Per User | Number of Users | Price
Single user | $ 15.00 | _______ | $________
2 to 9 users | $ 13.00 | _______ | $________
10 to 24 users | $ 11.00 | _______ | $________
25 to 49 users | $ 10.00 | _______ | $________
50+ users | $ 8.00 | _______ | $________
Residents of Michigan, United States - add 6% sales tax |  |  | $________
Preferred Shipping Method Disk (USPS Domestic US) $8.00 S&H |  |  | $________
Disk (USPS International) $10.00 S&H |  |  | $________
Email (Free) |  |  | $___ 0 ___
TOTAL PAYMENT |  |  | $________

Credit Card Information
Card Type (Check One): | Visa[ ] American Express[ ] MasterCard[ ] Discover[ ]
Name as it appears on card: | ____________________________________________________
Credit Card Number: | ____________________________________________________
Expiration Date: | ____________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State Zip: | ____________________________________________________
Country: | ____________________________
Your Information (Write 'Same' if not different from above)
Your Name: | ____________________________________________________
Company: | ____________________________________________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State, Zip: | ____________________________________________________
Country: | ____________________________________________________
Day Phone Number: | ____________________________
Fax Number: | ____________________________
Alt Phone Number: | ____________________________
* EMail Address:* | ____________________________________________________
Signature: | ____________________________________________________
Date: | ____________________________

* Include E-Mail address if you want email delivery.

Comments:


Use Native File Operations

Use Native File Operations: Enable this to use Windows-based file confirmations for your operating system instead of the Duplicate File Finder internal file operation confirmations. Enable this only when necessary. 'Native File Operations' may help if you see 'access' errors on a remote drive or a temporary storage device.